Providers API Reference

Base URL: https://console-api.akash.network


GET /v1/providers

Returns a list of all providers on the Akash Network.

Parameters

ParameterInTypeRequiredDefaultDescription
scopequerystringNo"all"Filter: "all" or "trial"

Example Request

Terminal window
curl https://console-api.akash.network/v1/providers

Response

Returns a JSON array of provider objects.

Provider Object

FieldTypeDescription
ownerstringProvider’s Akash address
namestring | nullProvider display name
hostUristringProvider host URI
createdHeightnumberBlock height at provider creation
emailstring | nullContact email
websitestring | nullProvider website
lastCheckDatestringISO 8601 timestamp of last health check
isOnlinebooleanWhether the provider is currently online
isAuditedbooleanWhether the provider has been audited
isValidVersionbooleanWhether the provider runs a valid software version
cosmosSdkVersionstring | nullCosmos SDK version
akashVersionstring | nullAkash software version
uptime1dnumberUptime ratio over the last 24 hours (0-1)
uptime7dnumberUptime ratio over the last 7 days (0-1)
uptime30dnumberUptime ratio over the last 30 days (0-1)

Location Fields

FieldTypeDescription
ipRegionstring | nullIP-based region
ipRegionCodestring | nullRegion code
ipCountrystring | nullIP-based country
ipCountryCodestring | nullCountry code
ipLatstring | nullLatitude
ipLonstring | nullLongitude
countrystring | nullDeclared country
citystring | nullDeclared city
timezonestring | nullTimezone

Hardware Fields

FieldTypeDescription
hardwareCpustring | nullCPU model
hardwareCpuArchstring | nullCPU architecture (e.g., "x86_64")
hardwareGpuVendorstring | nullGPU vendor (e.g., "nvidia")
hardwareGpuModelsarrayGPU model names
hardwareMemorystring | nullTotal memory
hardwareDiskarrayDisk types

GPU Models

FieldTypeDescription
gpuModelsarrayArray of GPU model objects
gpuModels[].vendorstringGPU vendor (e.g., "nvidia")
gpuModels[].modelstringGPU model (e.g., "rtx4060ti", "t4")
gpuModels[].ramstringGPU memory (e.g., "16Gi")
gpuModels[].interfacestringInterface type (e.g., "PCIe")

Network Fields

FieldTypeDescription
networkProviderstring | nullNetwork/hosting provider
networkSpeedDownnumberDownload speed
networkSpeedUpnumberUpload speed

Feature Flags

FieldTypeDescription
featPersistentStoragebooleanSupports persistent storage
featPersistentStorageTypearrayPersistent storage types available
featEndpointCustomDomainbooleanSupports custom domain endpoints
featEndpointIpbooleanSupports dedicated IP endpoints

Resource Stats

FieldTypeDescription
stats.cpu.activenumberActive CPU units (millicores)
stats.cpu.availablenumberAvailable CPU units
stats.cpu.pendingnumberPending CPU units
stats.gpu.activenumberActive GPU units
stats.gpu.availablenumberAvailable GPU units
stats.gpu.pendingnumberPending GPU units
stats.memory.activenumberActive memory (bytes)
stats.memory.availablenumberAvailable memory (bytes)
stats.memory.pendingnumberPending memory (bytes)
stats.storage.ephemeral.activenumberActive ephemeral storage (bytes)
stats.storage.ephemeral.availablenumberAvailable ephemeral storage (bytes)
stats.storage.persistent.activenumberActive persistent storage (bytes)
stats.storage.persistent.availablenumberAvailable persistent storage (bytes)

Attributes

FieldTypeDescription
attributesarrayProvider attribute key-value pairs
attributes[].keystringAttribute key (e.g., "datacenter", "host")
attributes[].valuestringAttribute value
attributes[].auditedByarrayAddresses that audited this attribute

Example Response

[
{
"owner": "akash1u5cdg7k3gl43mukca4aeultuz8x2j68mgwn28e",
"name": null,
"hostUri": "https://provider.d3akash.cloud:8443",
"createdHeight": 17519098,
"email": null,
"website": null,
"lastCheckDate": "2026-02-20T18:05:04.000Z",
"isOnline": true,
"isAudited": false,
"isValidVersion": true,
"uptime1d": 1,
"uptime7d": 0.98,
"uptime30d": 0.95,
"ipCountry": "US",
"hardwareCpuArch": "x86_64",
"hardwareGpuVendor": "nvidia",
"hardwareGpuModels": ["rtx4060ti"],
"gpuModels": [
{
"vendor": "nvidia",
"model": "rtx4060ti",
"ram": "16Gi",
"interface": "PCIe"
}
],
"stats": {
"cpu": { "active": 60450, "available": 12000, "pending": 0, "total": 72450 },
"gpu": { "active": 0, "available": 1, "pending": 0, "total": 1 },
"memory": { "active": 111154125824, "available": 25769803776, "pending": 0, "total": 136923929600 },
"storage": {
"ephemeral": { "active": 206537178112, "available": 100000000000, "pending": 0, "total": 306537178112 },
"persistent": { "active": 0, "available": 0, "pending": 0, "total": 0 },
"total": { "active": 206537178112, "available": 100000000000, "pending": 0, "total": 306537178112 }
}
},
"featPersistentStorage": false,
"featEndpointCustomDomain": false,
"featEndpointIp": false,
"networkSpeedDown": 0,
"networkSpeedUp": 0,
"attributes": [
{ "key": "host", "value": "akash", "auditedBy": [] }
]
}
]

GET /v1/providers/{address}

Returns detailed information about a specific provider.

Parameters

ParameterInTypeRequiredDescription
addresspathstringYesProvider’s Akash address (e.g., akash1u5cdg7k3gl43mukca4aeultuz8x2j68mgwn28e)

Example Request

Terminal window
curl https://console-api.akash.network/v1/providers/akash1u5cdg7k3gl43mukca4aeultuz8x2j68mgwn28e

Response

Returns a single provider object with the same fields as above. Use this endpoint to get the most current resource availability via the stats fields.

Example Response

{
"owner": "akash1u5cdg7k3gl43mukca4aeultuz8x2j68mgwn28e",
"hostUri": "https://provider.d3akash.cloud:8443",
"isOnline": true,
"gpuModels": [
{
"vendor": "nvidia",
"model": "rtx4060ti",
"ram": "16Gi",
"interface": "PCIe"
}
],
"stats": {
"cpu": { "active": 60450, "available": 12000, "pending": 0, "total": 72450 },
"gpu": { "active": 0, "available": 1, "pending": 0, "total": 1 },
"memory": { "active": 111154125824, "available": 25769803776, "pending": 0, "total": 136923929600 },
"storage": {
"ephemeral": { "active": 206537178112, "available": 100000000000, "pending": 0, "total": 306537178112 },
"persistent": { "active": 0, "available": 0, "pending": 0, "total": 0 },
"total": { "active": 206537178112, "available": 100000000000, "pending": 0, "total": 306537178112 }
}
}
}

See also: GPU Availability Guide for filtering providers by GPU model and checking availability.